Skip to main content
`Ctrl`+`K`

# DMPlexGetTransformType

Retrieve the transform type for uniform refinement

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexGetTransformType(DM dm, DMPlexTransformType *type)

## Input Parameter

- dm - The `DM`

## Output Parameter

- type - The transform type for uniform refinement

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexTransformType`, `DMRefine()`, `DMPlexSetTransformType()`, `DMPlexGetRefinementUniform()`

## Level

developer

## Location

src/dm/impls/plex/plexrefine.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages